Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Env Class Reference

ACEXML_Env. More...

`#include "ACEXML/common/Env.h"`

Collaboration diagram for ACEXML_Env:

[legend]
List of all members.

## Public Methods
| ACEXML_Env ()
| Default constructor. More...
| ACEXML_Env (const ACEXML_Env &ev)
| Copy constructor. More...
| ~ACEXML_Env (void)
| Destructor. More...
int | exception_occured (void) const
| Check if exception has occured. More...
void | reset (void)
| Clear the exception and reset the evnrionment. More...
## Public Attributes
ACEXML_Exception *exception void | const
| Return the underlying exception for examination. More...
void exception ACEXML_Exception * | exception
| Set the underlying exception. ACEXML_Env assumes ownership of the exception. More...
## Private Attributes
ACEXML_Exception * | exception_
| Place holder for exception (if one occurs.). More...

## Detailed Description

ACEXML_Env.

ACEXML_Env is modeled after CORBA_Environment class. It provides a place holder for callees to propagate exceptions back to callers. ACEXML does not support native exceptions at this moement.

See also:
  ACEXML_Exception

## Constructor & Destructor Documentation

ACEXML_Env::ACEXML_Env | ( | void |  | ) |

| Default constructor.

ACEXML_Env::ACEXML_Env | ( | const ACEXML_Env & | ev | ) |

| Copy constructor.

ACEXML_Env::~ACEXML_Env | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACEXML_INLINE int ACEXML_Env::exception_occured | ( | void |  | ) | const

| Check if exception has occured.

ACEXML_INLINE void ACEXML_Env::reset | ( | void |  | ) |

| Clear the exception and reset the evnrionment.

## Member Data Documentation

ACEXML_Exception* exception void ACEXML_Env::const

| Return the underlying exception for examination.

ACEXML_INLINE void ACEXML_Env::exception

| Set the underlying exception. ACEXML_Env assumes ownership of the exception.

ACEXML_Exception* ACEXML_Env::exception_`[private]`

| Place holder for exception (if one occurs.).

The documentation for this class was generated from the following files:

- Env.h
- Env.cpp
- Env.i